| Home | Libraries | People | FAQ | More

## Function template icase

boost::xpressive::icase — Makes a sub-expression case-insensitive.

## Synopsis

    template<typename Xpr> unspecified icase(Xpr const & xpr);

## Description

Use icase() to make a sub-expression case-insensitive. For instance, "foo" >> icase(set['b'] >> "ar") will match "foo" exactly followed by "bar" irrespective of case.

| Copyright © 2003, 2004 Eric Niebler